## Makefile.am for embedjs

# this is the program that gets installed.  it's name is used for all
# of the other Makefile.am variables
bin_PROGRAMS = embedjs

# set the include path for X, qt and KDE
INCLUDES         = -I$(top_srcdir) $(all_includes)

# the library search path. 
embedjs_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LIB_QT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_TDEIO) -ltdetexteditor

# the libraries to link against.
embedjs_LDADD   = $(LIB_TDEFILE) $(LIB_TDEPRINT) -lkjs $(top_builddir)/kjsembed/libkjsembed.la

# which sources should be compiled for embedjs
embedjs_SOURCES = main.cpp embedview.ui embedviewimp.cpp

# these are the headers for your project


# client stuff

# let automoc handle all of the meta source files (moc)
METASOURCES = AUTO

messages: rc.cpp
	$(XGETTEXT) *.cpp -o $(podir)/embedjs.pot

KDE_ICON = embedjs

# this is where the kdelnk file will go 
kdelnkdir   = $(kde_appsdir)/Utilities
kdelnk_DATA = embedjs.desktop

# this is where the XML-GUI resource file goes
rcdir = $(kde_datadir)/embedjs
rc_DATA = embedjsui.rc
noinst_HEADERS = embedviewimp.h
noinst_DATA = test.js
